Overrides main filter query, determines which documents to include in the main group

- « SolrQuery

- SolrQuery::addExpandSortField »

- PHP Manual
- SolrQuery
- Overrides main filter query, determines which documents to include in the main group

# SolrQuery::addExpandFilterQuery

(PECL solr >= 2.2.0)

SolrQuery::addExpandFilterQuery — Overrides main filter query, determines which documents to include in the main group

### Description

public SolrQuery::addExpandFilterQuery(string `$fq`): SolrQuery

Overrides main filter query, determines which documents to include in the main group.

### Parameters

`fq`

### Return Values

SolrQuery

### See Also

- SolrQuery::setExpand() - Enables/Disables the Expand Component
- SolrQuery::addExpandSortField() - Orders the documents within the expanded groups (expand.sort parameter)
- SolrQuery::removeExpandSortField() - Removes an expand sort field from the expand.sort parameter
- SolrQuery::setExpandRows() - Sets the number of rows to display in each group (expand.rows). Server Default 5
- SolrQuery::setExpandQuery() - Sets the expand.q parameter
- SolrQuery::removeExpandFilterQuery() - Removes an expand filter query